> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Get Scanner Setup

GET https://api.npretail.app/{tenant}/{environment}/{company}/speedgate/{id}

This endpoint retrieves the setup details for a specific gate, such as the gate's name, location, and the admission codes it supports.

Reference: https://docs.navipartner.com/apis/api-reference/speedgate/service-speedgate/get-scanner-setup

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `id` (UUID, required) — A unique id that identifies a specific speedgate scanner setup.

## Response

### 200

Returns the setup details for the specified gate.

- `id` (UUID, required) — A unique id that identifies a specific speedgate scanner setup.
- `scannerId` (string, required) — A human friendly unique code that identifies a specific speedgate.
- `description` (string, required) — A textual description or name
- `enabled` (boolean, required)
- `permitTickets` (boolean, required) — Indicates if the scanner will permit tickets when scanned.
- `permitMemberCards` (boolean, required) — Indicates if the scanner will permit member cards when scanned.
- `permitWallets` (boolean, required) — Indicates if the scanner will permit wallets when scanned.
- `permitDocLxCityCards` (boolean, required) — Indicates if the scanner will permit DocLX city cards when scanned.
- `imageProfileCode` (string, required) — Code representing the image profile.
- `ticketProfileCode` (string, required) — Code representing the ticket profile.
- `memberCardProfileCode` (string, required) — Code representing the member card profile.
- `items` (list of ScannerItemProfileLine, required)
- `category` (ScannerCategory, optional) — A category containing a multiple scanners. The category offers a way to group the scanners for representation purposes.

## Types

### ScannerItemProfileLine

A scanner station can provide additional simple service options f.ex. free ticket. This is a list of the available options.

- `itemNo` (string, required) — The item number of the ticket
- `description` (string, required) — A textual description or name
- `presentationOrder` (integer, required) — The order in which the scanner will present the items.
- `description2` (string, optional) — A textual description or name

### ScannerCategory

A category containing a multiple scanners. The category offers a way to group the scanners for representation purposes.

- `id` (UUID, required) — The unique uuid of the Speedgate Category.
- `code` (string, required) — The code and unique identifier of the Speedgate Category.
- `name` (string, required) — The description of the category.

## Examples

Example of a successful retrieval of a speedgate setup.

**Response**

```json
{
  "id": "12345678-aaaa-12d3-a456-426614174000",
  "scannerId": "GATE1",
  "description": "This is a description",
  "enabled": true,
  "permitTickets": true,
  "permitMemberCards": true,
  "permitWallets": true,
  "permitDocLxCityCards": true,
  "imageProfileCode": "IMAGES-1",
  "ticketProfileCode": "TICKETS-1",
  "memberCardProfileCode": "CARDS-1",
  "items": [
    {
      "itemNo": "31001",
      "description": "This is a description",
      "presentationOrder": 1,
      "description2": "This is a description"
    }
  ],
  "category": {
    "id": "c2608dfa-5c02-427c-ac40-df538cb98d2f",
    "code": "ENTRANCE",
    "name": "Entrance Scanners"
  }
}
```

**SDK Code**

```python Speedgate Setup
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./speedgate/12345678-aaaa-12d3-a456-426614174000"

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Speedgate Setup
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./speedgate/12345678-aaaa-12d3-a456-426614174000';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Speedgate Setup
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./speedgate/12345678-aaaa-12d3-a456-426614174000"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Speedgate Setup
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./speedgate/12345678-aaaa-12d3-a456-426614174000")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java Speedgate Setup
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./speedgate/12345678-aaaa-12d3-a456-426614174000")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php Speedgate Setup
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./speedgate/12345678-aaaa-12d3-a456-426614174000', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Speedgate Setup
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./speedgate/12345678-aaaa-12d3-a456-426614174000");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift Speedgate Setup
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./speedgate/12345678-aaaa-12d3-a456-426614174000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```